/*--
    Author: Terra Fischer
    Date: 04/24/2022
--*/
/*-------------------------Universal Styling-------------------------*/
* {font-family: cambria, "Century Regular", "Georgia", "Linux Libertine G", serif}
body {width: 100%;}
main {
    clear: both;
    width: 100%;
    background: url(../images/backgroundImage.png) no-repeat center center fixed;
    background-size: 100% 100%;
}
article p, section p {line-height: 20px;}
h1, h2, h3, h4, h5, nav {text-align: center;}
h1 {font-size: 40px;}
h2 {font-size: 35px;}
h3, h4 {font-size: 30px;}
.firstLetter:first-letter {
    font-size: 30px;
    font-family: "Algerian Regular", "Castellar Regular", "Colonna MT Regular", cambria, serif;
}
.pagePhoto {max-height: 500px;}
img {
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.imageCitation {
    font-size: 14px;
    font-style: italic;
    text-align: center;
}
.imageCitation a {color: #511466;}
section, article {
    clear: both;
    padding: .5em 1.5em;
    background-color: rgba(0, 0, 0, 0.5);
    margin: 2em auto;
    width: 80%;
    border-radius: 1em;
    color: #e8d9c4;
}
/*-------------------------Links Styling-------------------------*/
a {
    text-decoration: none;
    color: white;
}
main a {color: #511466}
main a:hover {
    color: rgba(0, 0, 0, 0.5);
    text-shadow: .1em .1em .4em black;
}
main a:visited {color: white;}
footer a:hover, nav a:hover {color: #da09e5;}
footer a:visited, nav a:visited {color: #9170d8;}
/*-------------------------Header Styling-------------------------*/
header {
    background-color: #511466;
    width: 100%;
    text-align: center;
    border-radius: 0 0 1em 1em;
    padding-top: 1em;
    box-shadow: 0 5px black;
    padding-bottom: 2em;
}
header img {max-width: 150px;}
img#dragonLogoLeft {
    float: left;
    display: inline;
    padding-left: 2em;
}
img#dragonLogoRight {
    float: right;
    display: inline;
    padding-right: 2em;
}
/*-------------------------Form Styling-------------------------*/
form {
    border: solid 4px #511466;
    background-color: rgba(165, 126, 84, .1);
    width: 50%;
    margin: 2em auto;
    padding: 1.5em;
    border-radius: 1em;
}
input[type="text"], input[type="password"], input[type="email"] {
    display: block;
    width: 100%;
    margin-bottom: 1em;
}
fieldset {margin-top: 1em;}
input[type="submit"], input[type="reset"] {
    background-color: #511466;
    color: white;
    width: 100px;
    border-color: white;
}
input[type="submit"] {border-radius: .5em 0 0 .5em;}
input[type="reset"] {border-radius: 0 .5em .5em 0;}
input[type="submit"]:hover, input[type="reset"]:hover {
    background-color: rgba(0, 0, 0, .5);
    color: black;
    border-color: black;
}
div.buttons {
    text-align: center;
    padding-top: 1em;
}
/*-------------------------Footer Styling-------------------------*/
footer {
    padding-top: .5em;
    padding-bottom: .5em;
    background-color: #511466;
    box-shadow: 0 -5px black;
    border-radius: 1em 1em 0 0;
}
address {
    text-align: right;
    padding: .5em 2em .5em 0;
}
footer.imageCitation {background-color: red}
#footerCitations {padding: 2em 1em;}
footer p.imageCitation {text-align: left;}
/*-------------------------Responsive Styling-------------------------*/
@media screen and (max-width: 40em) {
    header img {width: 100px;}
    h1 {font-size: 30px;}
    h2, h3, h4 {font-size: 27px;}
    h5 {font-size: 23px;}
    form {width: 70%;}
    nav a {
        display: block;
        font-size: 20px;
    }
    section, article {
        padding: .5em;
        margin: .5em auto;
        width: 85%;
    }
}
